Package de.willuhn.jameica.hbci.server

# Enum Class VerwendungszweckUtil.Tag

java.lang.Object
java.lang.Enum<VerwendungszweckUtil.Tag>
de.willuhn.jameica.hbci.server.VerwendungszweckUtil.Tag

All Implemented Interfaces:
  `Serializable`, `Comparable<VerwendungszweckUtil.Tag>`, `Constable`

Enclosing class:
  `VerwendungszweckUtil`

public static enum VerwendungszweckUtil.Tag extends Enum<VerwendungszweckUtil.Tag>
Liste der bekannten Tags.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ABWA`
Abweichender Auftraggeber.
`BIC`
BIC des Gegenkontos.
`CRED`
Creditor-ID.
`DBET`
Debitor-ID.
`EREF`
Ende-zu-Ende Referenz.
`IBAN`
IBAN des Gegenkontos.
`KREF`
Kundenreferenz.
`MREF`
Mandatsreferenz.
`SVWZ`
Verwendungszweck.
`TAN`
TAN.
`TAN1`
TAN1.

## Method Summary

Modifier and Type
Method
Description
`static VerwendungszweckUtil.Tag`
`byName(String s)`
Sucht das Tag mit dem angegebenen Namen.
`static VerwendungszweckUtil.Tag`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static VerwendungszweckUtil.Tag[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### EREF

public static final VerwendungszweckUtil.Tag EREF
Ende-zu-Ende Referenz.

### KREF

public static final VerwendungszweckUtil.Tag KREF
Kundenreferenz.

### MREF

public static final VerwendungszweckUtil.Tag MREF
Mandatsreferenz.

### CRED

public static final VerwendungszweckUtil.Tag CRED
Creditor-ID.

### DBET

public static final VerwendungszweckUtil.Tag DBET
Debitor-ID.

### SVWZ

public static final VerwendungszweckUtil.Tag SVWZ
Verwendungszweck.

### ABWA

public static final VerwendungszweckUtil.Tag ABWA
Abweichender Auftraggeber.

### IBAN

public static final VerwendungszweckUtil.Tag IBAN
IBAN des Gegenkontos.

### BIC

public static final VerwendungszweckUtil.Tag BIC
BIC des Gegenkontos.

### TAN1

public static final VerwendungszweckUtil.Tag TAN1
TAN1.

### TAN

public static final VerwendungszweckUtil.Tag TAN
TAN.

## Method Details

### values

public static VerwendungszweckUtil.Tag[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static VerwendungszweckUtil.Tag valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### byName

public static VerwendungszweckUtil.Tag byName(String s)
Sucht das Tag mit dem angegebenen Namen.

Parameters:
  `s` - der Name des Tag.
Returns:
  das Tag oder NULL, wenn es nicht gefunden wurde.